Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 17 Nov 2022 17:47:56 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect VERY BAD EXPERIENCE!!!! 

I ordered my dress fews days back .. and i got the message to collect monday 14/11/2022 which I couldn’t collect due to a situation.. and when i went to the location WHICH I SELECTED Juffair . I waited for THIRTY MINUTES.. and the staff just IGNORED… 30 minutes and there was  only 1 staff..  Is the “click and collect “ counter just for show????? DO THE NEED FUULLL!!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5288688